Groovy JDK

## primitive-types
Class int[]

Method Summary
`boolean` | `equals(int[] right)` Compare the contents of this array to the contents of the given array
`Object` | `getAt(int index)` Support the subscript operator for an int array
`Object` | `getAt(Range range)` Support the subscript operator with a range for an int array
`Object` | `getAt(IntRange range)` Support the subscript operator with an IntRange for an int array
`Object` | `getAt(ObjectRange range)` Support the subscript operator with an ObjectRange for an int array
`Object` | `getAt(Collection indices)` Support the subscript operator with a collection for an int array
`Integer` | `putAt(int idx, Object newValue)`
`int` | `size()` Allows arrays to behave similar to collections
`List` | `toList()` Converts this array to a List of the same size, with each element added to the list

Method Detail

### equals

    public boolean equals(int[] right)

  Compare the contents of this array to the contents of the given array.

Parameters:
  `right` - the operand array..
Returns:
  true if the contents of both arrays are equal.

### getAt

    public Object getAt(int index)

  Support the subscript operator for an int array

Parameters:
  `index` - the index of the item to retrieve.
Returns:
  the int at the given index

### getAt

    public Object getAt(Range range)

  Support the subscript operator with a range for an int array

Parameters:
  `range` - a range indicating the indices for the items to retrieve.
Returns:
  list of the ints at the given indices

### getAt

    public Object getAt(IntRange range)

  Support the subscript operator with an IntRange for an int array

Parameters:
  `range` - an IntRange indicating the indices for the items to retrieve.
Returns:
  list of the retrieved ints

### getAt

    public Object getAt(ObjectRange range)

  Support the subscript operator with an ObjectRange for an int array

Parameters:
  `range` - an ObjectRange indicating the indices for the items to retrieve.
Returns:
  list of the retrieved ints

### getAt

    public Object getAt(Collection indices)

  Support the subscript operator with a collection for an int array

Parameters:
  `indices` - a collection of indices for the items to retrieve.
Returns:
  list of the ints at the given indices

### putAt

    public Integer putAt(int idx, Object newValue)

Parameters:

### size

    public int size()

  Allows arrays to behave similar to collections.

Returns:
  the length of the array

See:
  Array#getLength(Object).

### toList

    public List toList()

  Converts this array to a List of the same size, with each element added to the list.

Returns:
  a list containing the contents of this array.

Groovy JDK